Package org.opensaml.saml.saml2.ecp.impl

# Class RequestImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.saml.saml2.ecp.impl.RequestImpl

All Implemented Interfaces:
  `XMLObject`, `SAMLObject`, `Request`, `ActorBearing`, `MustUnderstandBearing`

public class RequestImpl extends AbstractXMLObject implements Request
A concrete implementation of `Request`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private IDPList`
`idpList`
IDPList child element.
`private XSBooleanValue`
`isPassive`
IsPassive attribute value.
`private Issuer`
`issuer`
Issuer child element.
`private String`
`providerName`
ProviderName attribute.
`private String`
`soap11Actor`
soap11:actor attribute.
`private XSBooleanValue`
`soap11MustUnderstand`
soap11:mustUnderstand.

### Fields inherited from interface org.opensaml.soap.soap11.ActorBearing

`SOAP11_ACTOR_ATTR_LOCAL_NAME, SOAP11_ACTOR_ATTR_NAME, SOAP11_ACTOR_NEXT`

### Fields inherited from interface org.opensaml.soap.soap11.MustUnderstandBearing

`SOAP11_MUST_UNDERSTAND_ATTR_LOCAL_NAME, SOAP11_MUST_UNDERSTAND_ATTR_NAME`

### Fields inherited from interface org.opensaml.saml.saml2.ecp.Request

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, IS_PASSIVE_NAME_ATTRIB_NAME, PROVIDER_NAME_ATTRIB_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`RequestImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`IDPList`
`getIDPList()`
Get the IDPList child element.
`Issuer`
`getIssuer()`
Get the Issuer child elemet.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`String`
`getProviderName()`
Get the ProviderName attribute value.
`String`
`getSOAP11Actor()`
Get the attribute value.
`Boolean`
`isPassive()`
Get the IsPassive attribute value.
`XSBooleanValue`
`isPassiveXSBoolean()`
Get the IsPassive attribute value.
`Boolean`
`isSOAP11MustUnderstand()`
Get the attribute value.
`XSBooleanValue`
`isSOAP11MustUnderstandXSBoolean()`
Get the attribute value.
`void`
`setIDPList(IDPList newIDPList)`
Set the IDPList child element.
`void`
`setIssuer(Issuer newIssuer)`
Set the Issuer child elemet.
`void`
`setPassive(Boolean newIsPassive)`
Set the IsPassive attribute value.
`void`
`setPassive(XSBooleanValue newIsPassive)`
Set the IsPassive attribute value.
`void`
`setProviderName(String newProviderName)`
Set the ProviderName attribute value.
`void`
`setSOAP11Actor(String newActor)`
Set the attribute value.
`void`
`setSOAP11MustUnderstand(Boolean newMustUnderstand)`
Set the attribute value.
`void`
`setSOAP11MustUnderstand(XSBooleanValue newMustUnderstand)`
Set the attribute value.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### idpList

@Nullable private IDPList idpList
IDPList child element.

### issuer

@Nullable private Issuer issuer
Issuer child element.

### providerName

@Nullable private String providerName
ProviderName attribute.

### isPassive

@Nullable private XSBooleanValue isPassive
IsPassive attribute value.

### soap11Actor

@Nullable private String soap11Actor
soap11:actor attribute.

### soap11MustUnderstand

@Nullable private XSBooleanValue soap11MustUnderstand
soap11:mustUnderstand.

## Constructor Details

### RequestImpl

protected RequestImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getIDPList

@Nullable public IDPList getIDPList()
Get the IDPList child element.

Specified by:
  `getIDPList` in interface `Request`
Returns:
  the IDPList child element

### setIDPList

public void setIDPList(@Nullable IDPList newIDPList)
Set the IDPList child element.

Specified by:
  `setIDPList` in interface `Request`
Parameters:
  `newIDPList` - the new IDPList child element

### getIssuer

@Nullable public Issuer getIssuer()
Get the Issuer child elemet.

Specified by:
  `getIssuer` in interface `Request`
Returns:
  the Issuer child element

### setIssuer

public void setIssuer(@Nullable Issuer newIssuer)
Set the Issuer child elemet.

Specified by:
  `setIssuer` in interface `Request`
Parameters:
  `newIssuer` - the new Issuer child element

### getProviderName

@Nullable public String getProviderName()
Get the ProviderName attribute value.

Specified by:
  `getProviderName` in interface `Request`
Returns:
  the ProviderName attribute value

### setProviderName

public void setProviderName(@Nullable String newProviderName)
Set the ProviderName attribute value.

Specified by:
  `setProviderName` in interface `Request`
Parameters:
  `newProviderName` - the new ProviderName attribute value

### isPassive

@Nullable public Boolean isPassive()
Get the IsPassive attribute value.

Specified by:
  `isPassive` in interface `Request`
Returns:
  the IsPassive attribute value

### isPassiveXSBoolean

@Nullable public XSBooleanValue isPassiveXSBoolean()
Get the IsPassive attribute value.

Specified by:
  `isPassiveXSBoolean` in interface `Request`
Returns:
  the IsPassive attribute value

### setPassive

public void setPassive(@Nullable Boolean newIsPassive)
Set the IsPassive attribute value.

Specified by:
  `setPassive` in interface `Request`
Parameters:
  `newIsPassive` - the new IsPassive attribute value

### setPassive

public void setPassive(@Nullable XSBooleanValue newIsPassive)
Set the IsPassive attribute value.

Specified by:
  `setPassive` in interface `Request`
Parameters:
  `newIsPassive` - the new IsPassive attribute value

### isSOAP11MustUnderstand

@Nullable public Boolean isSOAP11MustUnderstand()
Get the attribute value.

Specified by:
  `isSOAP11MustUnderstand` in interface `MustUnderstandBearing`
Returns:
  return the attribute vlue

### isSOAP11MustUnderstandXSBoolean

@Nullable public XSBooleanValue isSOAP11MustUnderstandXSBoolean()
Get the attribute value.

Specified by:
  `isSOAP11MustUnderstandXSBoolean` in interface `MustUnderstandBearing`
Returns:
  return the attribute vlue

### setSOAP11MustUnderstand

public void setSOAP11MustUnderstand(@Nullable Boolean newMustUnderstand)
Set the attribute value.

Specified by:
  `setSOAP11MustUnderstand` in interface `MustUnderstandBearing`
Parameters:
  `newMustUnderstand` - the new attribute value

### setSOAP11MustUnderstand

public void setSOAP11MustUnderstand(@Nullable XSBooleanValue newMustUnderstand)
Set the attribute value.

Specified by:
  `setSOAP11MustUnderstand` in interface `MustUnderstandBearing`
Parameters:
  `newMustUnderstand` - the new attribute value

### getSOAP11Actor

@Nullable public String getSOAP11Actor()
Get the attribute value.

Specified by:
  `getSOAP11Actor` in interface `ActorBearing`
Returns:
  return the attribute vlue

### setSOAP11Actor

public void setSOAP11Actor(@Nullable String newActor)
Set the attribute value.

Specified by:
  `setSOAP11Actor` in interface `ActorBearing`
Parameters:
  `newActor` - the new attribute value

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements